# Operator name
name: Swapbox

# Enable debug mode
debug: True

# Default language. Must be one of the lang_template main array
default_lang: EN

# Currency for note machine and backend stable coin matching
fiat_currency: USD

# Crypto backends. Can only be one of: [zksync] for now lol.
backends:
  - type: zkSync
    address: 0x06786bCbc114bbfa670E30A1AC35dFd1310Be82f
    ticker: 0xB8d6D6b01bFe81784BE46e5771eF017Fa3c906d8
    tokens:
      - symbol: USDT
        name: USDT Stablecoin
        address: 0xdAC17F958D2ee523a2206206994597C13D831ec7
        decimals: 6
      - symbol: DAI
        name: DAI Stablecoin
        address: 0x6B175474E89094C44Da98b954EedeAC495271d0F
        decimals: 18
      - symbol: ETH
        name: Ethereum
        address: 0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2
        decimals: 18
      - symbol: USDC
        name: USDC Stablecoin
        address: 0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48
        decimals: 6
      - symbol: TBTC
        name: tBTC
        address: 0x18084fbA666a33d37592fA2633fD49a74DD93a88
        decimals: 18
      - symbol: WBTC
        name: wBTC
        address: 0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599
        decimals: 8
      - symbol: HEZ
        name: Hermez
        address: 0xEEF9f339514298C6A857EfCfC1A762aF84438dEE
        decimals: 18
      - symbol: ALPH
        name: Alephium
        address: 0x590F820444fA3638e022776752c5eEF34E2F89A6
        decimals: 18

# Banknote validator settings
note_machine:
  mock:
    # Enable validator mocking.
    enabled: False
    # ZMQ URL (only when mocking is enabled)
    zmq_url: tcp://localhost:5555
  port: /dev/ttyACM0
  recycler: False
  # see config/notes for adding currencies
  notes_currency: USD

# Camera settings for qrcode scanning
camera:
  method: PICAMERA2
  # Camera device (only for ZBARCAM method)
  device: /dev/video0

# ZMQ settings
zmq:
  pricefeed:
    address: tcp://127.0.0.1
    port_sub: 5556
    port_req: 5557
  rpc: tcp://127.0.0.1:5557
  status: tcp://127.0.0.1:5556

# LED Relay (set to NONE if unused)
relay_method: NONE

# set to false to use camera (signed) auth
admin_pin: 1234

# Set app to fullscreen
is_fullscreen: True

# Allowed slippage
default_slippage: 0.02

# Buy limit
buy_limit: 100
